#!/bin/sh
#
# Author: Tony Olech - Elan Digital Systems Limited
# script to create a release distritution $Revision: 1.2 $
# last updated at $Date: 2007/02/12 09:38:20 $
#

if [ xscripts != x$(/bin/pwd|sed -e 's:^.*/::') ]; then
	echo "you must run $0 from the scripts directory"
	exit 1
fi
cd ..
if [ xvmb-driver != x$(/bin/pwd|sed -e 's:^.*/::') ]; then
	echo "you must run $0 from the vmb-driver/scripts directory"
	exit 1
fi
##make
rm -f MANIFEST.TXT
echo 'Author: Tony Olech - Elan Digital Systems Limited' >> MANIFEST.TXT
echo 'vmb-driver $Revision: 1.2 $ for VMB5000' >> MANIFEST.TXT
echo 'distributed $Date: 2007/02/12 09:38:20 $' >> MANIFEST.TXT
echo 'file list:-' >> MANIFEST.TXT
echo >> MANIFEST.TXT

TEMP=vmb-driver
mkdir -p /tmp/${TEMP}
mkdir -p /tmp/${TEMP}/RCS
LIST=$(grep ^SOURCEFILES Makefile | sed -e 's/^SOURCEFILES[^=]*=/Makefile/')
for L in ${LIST} ; do
	RELEASE=$(grep '[$]Revision:' $L | head -1 | sed -e 's/^[^$]*[$]Revision: //' -e 's/ [$].*$//')
	cp -p $L /tmp/${TEMP}
	echo "$L release ${RELEASE}" >> MANIFEST.TXT
done
SUBS=$(grep ^SUBDIRS Makefile | sed -e 's/^SUBDIRS[^=]*=//')
for S in ${SUBS} ; do
	mkdir -p /tmp/${TEMP}/$S
	mkdir -p /tmp/${TEMP}/$S/RCS
	cp -p $S/RCS/* /tmp/${TEMP}/$S/RCS
	LIST=$(grep ^SOURCEFILES ${S}/Makefile | sed -e 's/^SOURCEFILES[^=]*=/Makefile/')
	for L in ${LIST} ; do
		RELEASE=$(grep '[$]Revision:' ${S}/$L | head -1 | sed -e 's/^[^$]*[$]Revision: //' -e 's/ [$].*$//')
		cp -p ${S}/$L /tmp/${TEMP}/${S}
		echo "${S}/$L release ${RELEASE}" >> MANIFEST.TXT
	done
done
ci -m"automatically checked during distribution" -t-"automatically created during module build" -l MANIFEST.TXT
cp -p RCS/* /tmp/${TEMP}/RCS
cp -p MANIFEST.TXT /tmp/${TEMP}
RELEASE=$(grep '[$]Revision:' MANIFEST.TXT | head -1 | sed -e 's/^[^$]*[$]Revision: //' -e 's/ [$].*$//')
DIST=vmb-driver-${RELEASE}
rm -rf /tmp/${DIST}
mv /tmp/${TEMP} /tmp/${DIST}
cd /tmp
tar -czf ${DIST}.tar.gz ${DIST}

