/*
 *  Author: Tony Olech - Elan Digital Systems Limited
 *  $Revision: 1.3 $
 *  $Date: 2007/02/08 15:50:05 $
 *
 * PCMCIA driver for VMB 16-bit usb host controller
 */

struct vmb_platform_data {
	unsigned	can_wakeup:1;
	unsigned	switch_on_required:1;

	u8		ports;	// probably fixed at 2, but ...

	/* given port_power, msec/2 after power on till power good */
	u8	      potpg;

	/* mA power supplied on this port */
	u16	      power;

	/* sl811 relies on an external source of VBUS current */
	void	    (*port_power)(struct device *dev, int is_on);

	/* pulse sl811 nRST (probably with a GPIO) */
	void	    (*reset)(struct device *dev);

	// some boards need something like these:
	// int	  (*check_overcurrent)(struct device *dev);
	// void	 (*clock_enable)(struct device *dev, int is_on);
};

